routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index' );

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('/categories', 'CategoryController');

Route::resource('/types', 'TypeController');

Route::get('/preferences', 'PreferencesController@index')
		->name('preferences.index');
Route::get('/preferences/{preferences}/unit', 'PreferencesController@editUnit')
		->name('preferences.editUnit');
Route::put('/preferences/{preferences}/unit', 'PreferencesController@updateUnit')
		->name('preferences.updateUnit');

Route::resource('/widths', 'WidthsController');

Route::resource('/contacts', 'ContactsController');

// Actions Handled By Resource Controller

// Verb 		URI 					Action 		Route Name
// GET			/photos					index		photos.index
// GET			/photos/create 			create 		photos.create
// POST			/photos					store		photos.store
// GET			/photos/{photo}			show		photos.show
// GET			/photos/{photo}/edit	edit		photos.edit
// PUT/PATCH	/photos/{photo}			update		photos.update
// DELETE		/photos/{photo}			destroy		photos.destroy

resources/views/layouts/_errors.blade.php
@if( session('message'))
	<!-- Passed On Message -->
	<div class="alert alert-info" role="alert">
		<span class="fa fa-exclamation-triangle" aria-hidden="true"></span>
		<span class="sr-only">Message:</span>
		{{ session('message') }}
	</div>
@endif
@if( session('error'))
	<!-- Passed On Error -->
	<div class="alert alert-danger" role="alert">
		<span class="fa fa-exclamation-triangle" aria-hidden="true"></span>
		<span class="sr-only">Error:</span>
		{{ session('error') }}
	</div>
@endif
@if( isset( $errors) && count( $errors ) )
	<!-- Form Errors -->
	<div class="alert alert-danger" role="alert">
		<span class="sr-only">Error:</span>
		@foreach( $errors->all() as $error )
			<div>
				<span class="fa fa-exclamation-triangle" aria-hidden="true"></span>
				{{ $error }}
			</div>
		@endforeach
	</div>
@endif

resources/views/layouts/_nav.blade.php
<nav class="navbar navbar-toggleable-md navbar-light bg-faded">
	<button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
		data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false"
		aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
	</button>
	<a class="navbar-brand" href="{{ url('/') }}">
		{{ config('app.name', 'FilmShop') }}
	</a>
	<div class="collapse navbar-collapse" id="navbarCollapse">
		<ul class="navbar-nav mr-auto">
			<li class="nav-item active">
				<a class="nav-link" href="#">Home</a>
			</li>
			<li class="nav-item dropdown">
				<a href="#" class="nav-link dropdown-toggle" role="button" data-toggle="dropdown" 
							aria-expanded="false">
					<span class="caret"></span>
					Contacts
				</a>
				<ul class="dropdown-menu">
					<li>
						<a class="dropdown-item" href="{{ route( 'contacts.index' ) }}">
							View
						</a>
					</li>
					<li class="dropdown-divider"></li>
					<li>
						<a class="dropdown-item" href="{{ route( 'contacts.create' ) }}">
							Add
						</a>
					</li>
				</ul>
			</li>
		</ul>
		<ul class="navbar-nav">
			@if (Auth::guest())
				<li class="nav-item"><a class="nav-link" href="{{ url('/login') }}">Login</a></li>
				<li class="nav-item"><a class="nav-link" href="{{ url('/register') }}">Register</a></li>
			@else

				<li class="nav-item dropdown">
					<a href="#" class="nav-link dropdown-toggle" role="button" data-toggle="dropdown" 
								aria-expanded="false">
						<span class="fa fa-gear"></span>
						<span class="caret"></span>
					</a>
					<ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
						<li>
							<a class="dropdown-item" href="{{ route('categories.index') }}">
								Film Categories
							</a>
						</li>
						<li>
							<a class="dropdown-item" href="{{ route('types.index') }}">
								Film Types
							</a>
						</li>
						<li>
							<a class="dropdown-item" href="{{ route('widths.index') }}">
								Film Widths
							</a>
						</li>
					</ul>
				</li>

				<li class="nav-item dropdown">
					<a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" role="button" 
								aria-expanded="false">
						<span class="fa fa-user"></span>
						<span class="caret"></span>
					</a>

					<ul class="dropdown-menu" role="menu">
						<li>
							<a class="dropdown-item" href="{{ route('preferences.index') }}">
								Preferences
							</a>
						</li>
						<li class="dropdown-divider"></li>
						</li>

						<li>
							<a class="dropdown-item" href="{{ url('/logout') }}" 
										onclick="event.preventDefault();
										document.getElementById('logout-form').submit();">
								Logout
							</a>

							<form id="logout-form" action="{{ url('/logout') }}" method="POST"
								  style="display: none;">
								{{ csrf_field() }}
							</form>
						</li>
					</ul>
				</li>
			@endif
		</ul>
	</div>
</nav>

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="en">
	<head>

		<!-- CSRF Token -->
		<meta name="csrf-token" content="{{ csrf_token() }}">


		<!-- Scripts -->
		<script>
		window.Laravel = {!! json_encode([
		    'csrfToken' => csrf_token(),
		]) !!};
		</script>

		<title>@yield('pageTitle')</title>

		<!-- Required meta tags -->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<!-- Font Awesome CSS -->
		<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">

		@yield('pageHead')

		<!-- Styles -->
		{{-- <link href="{{ asset('/css/app.css') }}" rel="stylesheet"> --}}
	</head>
	<body>
		
		<div class="container">
			<!-- Navigation -->
			@include('layouts._nav')
			<!-- /Navigation -->
			<p>
			@yield('breadcrumbs')
			</p>

			<!-- Errors and messages, if any -->
			@include('layouts._errors')
			<!-- /errors-messages -->

			@yield('content')
		</div><!-- /.container -->

		<!-- jQuery first, then Tether, then Bootstrap JS. -->
		<script src="https://code.jquery.com/jquery-3.1.1.slim.min.js" integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n" crossorigin="anonymous"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js" integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb" crossorigin="anonymous"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js" integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn" crossorigin="anonymous"></script>

		@yield('pageScript')
	</body>
</html>